[Settings]
WindowTitle=nv_sql_alarm_start
DsnName=nv_groups
DatabaseTable=ALARM_LAUNCH
DatabaseUser=NVUSER
DatabasePassword=NVM

;Max retries to connect to SQL DB before starting error alarm (10 seconds delay between retry)
MaxConnectionRetries=30

;Max retries on SQL error (write and update)
MaxRetriesOnSqlError=10

;Start alarm if no connection can be opend to DB
StartAlarmOnError=9845

;Start alarm if connection to DB is OK again after error
StartAlarmOnOkAgain=9846

;Default alarm to start
DefaultAlarmNumber=9989

;Interval in seconds to check for new entries in db
CheckForEntriesAllSec=60

;SQL select command to get new entries from db
SqlSelectCommand=SELECT * FROM <TABLE> WHERE ALR_STATUS=1

;Use alarm reference as job id and write to job id field in db (if no external id existent)
UseAlarmRefAsJobId=0

;For redundancy set supervisor (slave) delay in seconds before checking if master executed the alarm
SuperviseModeWaitSecBeforeChekingStatus=0


[DbFieldNames]
JobId=JOB_ID
MessageText=MSG_TEXT
DisplayMessage1=
DisplayMessage2=
AlarmNumber=
AlarmType=SEND_TYPE
AlarmName=GRP_NAME
AlarmGroup=
AlarmWavFile=
AlarmWavPath=
AttachmentFile=
AlarmOffset=MSG_TYPE
AlarmReference=ALR_REF_NR
AlarmStatus=ALR_STATUS

JobIdFieldTypeIsChar=0
AlarmTypeFieldTypeIsChar=0
AlarmGroupFieldTypeIsChar=0
AlarmOffsetFieldTypeIsChar=0

[StatusValues]
StatusRunning=2
StatusFinished=6
StatusError=9
StatusCancelled=8

[AlarmTypeConversion]
1=alr
2=alr
;2=msgr

[AlarmNameToNumber]
Test=1

[OffsetValues]
1=100
2=200
3=300

[OffsetForType]
1=5000
2=6000
